--- options.c.orig	2006-01-09 12:35:38.000000000 -0600
+++ options.c	2006-01-09 12:35:51.000000000 -0600
@@ -107,6 +107,9 @@
 int delay_updates = 0;
 long block_size = 0; /* "long" because popt can't set an int32. */
 
+#ifdef EA_SUPPORT
+int extended_attributes = 0;
+#endif
 
 /** Network address family. **/
 #ifdef INET6
@@ -352,6 +355,9 @@
   rprintf(F," -4, --ipv4                  prefer IPv4\n");
   rprintf(F," -6, --ipv6                  prefer IPv6\n");
 #endif
+#ifdef EA_SUPPORT
+  rprintf(F," -E, --extended-attributes   copy extended attributes\n");
+#endif
   rprintf(F,"     --version               print version number\n");
   rprintf(F," -h, --help                  show this help screen\n");
 
@@ -460,6 +466,9 @@
   {"no-implied-dirs",  0,  POPT_ARG_VAL,    &implied_dirs, 0, 0, 0 },
   {"protocol",         0,  POPT_ARG_INT,    &protocol_version, 0, 0, 0 },
   {"checksum-seed",    0,  POPT_ARG_INT,    &checksum_seed, 0, 0, 0 },
+#ifdef EA_SUPPORT
+  {"extended-attributes",    'E',  POPT_ARG_NONE,    &extended_attributes, 0, 0, 0 },
+#endif
 #ifdef INET6
   {"ipv4",            '4', POPT_ARG_VAL,    &default_af_hint, AF_INET, 0, 0 },
   {"ipv6",            '6', POPT_ARG_VAL,    &default_af_hint, AF_INET6, 0, 0 },
@@ -1310,6 +1319,10 @@
 		argstr[x++] = 'S';
 	if (do_compression)
 		argstr[x++] = 'z';
+#ifdef EA_SUPPORT
+	if (extended_attributes)
+		argstr[x++] = 'E';
+#endif
 
 	/* This is a complete hack - blame Rusty.  FIXME!
 	 * This hack is only needed for older rsync versions that
